using project.domain.payroll;

namespace unit.domain.payroll
{
    public class MoneySpecs
    {
        public abstract class concern : runner<Money> {}

        [Concern(typeof (Money))]
        public class when_two_monies_are_the_same : concern
        {
            it should_be_equal = () =>
            {
                sut.Equals(100.00);
            };

            protected override Money create_sut()
            {
                return 100.00;
            }
        }
    }
}